Bug 489395 - proxy command line installer throws 500 ise error at install
proxy command line installer throws 500 ise error at install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Partha Aji
wes hayutin
na
:
: 487351 (view as bug list)
Depends On:
Blocks: 456999
  Show dependency treegraph
 
Reported: 2009-03-09 16:28 EDT by wes hayutin
Modified: 2010-01-28 13:52 EST (History)
5 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 10:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ise (67.10 KB, application/octet-stream)
2009-03-23 10:19 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-03-09 16:28:51 EDT
Description of problem:

Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso
[root@fjs-0-18 spacewalk-proxy-installer-0.5.17]# rpm -qa | grep proxy
spacewalk-proxy-installer-0.5.17-1.el4sat


[root@fjs-0-18 rhn]# configure-proxy.sh --answer-file=/root/proxy-answer 
Proxy version to activate [5.2]: 
RHN Parent [grandprix.rhndev.redhat.com]: 
Traceback email [whayutin@redhat.com]: 
Use SSL [1]: 
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
HTTP Proxy []: 
Regardless of whether you enabled SSL for the connection to the Spacewalk Parent
Server, you will be prompted to generate an SSL certificate.
This SSL certificate will allow client systems to connect to this Spacewalk Proxy
securely. Refer to the Spacewalk Proxy Installation Guide for more information.
Organization [Red Hat]: 
Organization Unit [RHEN]: 
Common Name [Red Hat Test]: 
City [Raleigh]: 
State [NC]: 
Country code [US]: 
Email [whayutin@redhat.com]: 
API version: 5.3.0

ERROR: connection issues? <ProtocolError for grandprix.rhndev.redhat.com /rpc/api: 500 Internal Server Error>
Proxy activation failed! Installation interrupted.
API version: 5.3.0
ERROR: connection issues? <ProtocolError for grandprix.rhndev.redhat.com /rpc/api: 500 Internal Server Error>
[root@fjs-0-18 rhn]# 
[root@fjs-0-18 rhn]# 

[root@fjs-0-18 rhn]# cat /root/proxy-answer 
VERSION=5.2
RHN_PARENT=grandprix.rhndev.redhat.com
TRACEBACK_EMAIL=whayutin@redhat.com
USE_SSL=1
SSL_ORG="Red Hat"
SSL_ORGUNIT="RHEN"
SSL_COMMON="Red Hat Test"
SSL_CITY=Raleigh
SSL_STATE=NC
SSL_COUNTRY=US
INSTALL_MONITORING=N
ENABLE_SCOUT=N
CA_CHAIN=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
POPULATE_CONFIG_CHANNEL=Y
HTTP_PROXY=
HTTP_USERNAME=
HTTP_PASSWORD=
# If you want to populate configuration channel 
# and want to have realy silent installation, then
# you must run rhncfg-manager to enter your login 
# adn password first. Otherwise you will be asked for
# these during proxy activation.
POPULATE_CONFIG_CHANNEL=Y


2009-03-09 16:23:45,230 [TP-Processor3] ERROR com.redhat.rhn.frontend.xmlrpc.LoggingInvocationProcessor - REQUESTED FROM: *callerIp* CALL: proxy.deactivate_proxy(<?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>username</name>
<value><string>admin</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>redhat-release</string></value>
</member>
<member>
<name>description</name>
<value><string>Initial Registration Parameters:
OS: redhat-release
Release: 4AS
CPU Arch: i686-redhat-linux</string></value>
</member>
<member>
<name>checksum</name>
<value><string>5865428b5ede3462ab226e71fb719378</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>fjs-0-18.rhndev.redhat.com</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1000010308</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686-redhat-linux</string></value>
</member>
<member>
<name>os_release</name>
<value><string>4AS</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
</struct></value>
</param>
</params>) CALLER: (admin) TIME: 0.224 seconds
redstone.xmlrpc.XmlRpcFault: unhandled internal exception: HibernateException executing CachedStatement
        at redstone.xmlrpc.XmlRpcFault.<init>(XmlRpcFault.java:41)
        at com.redhat.rhn.frontend.xmlrpc.BaseHandler.invoke(BaseHandler.java:66)
        at redstone.xmlrpc.XmlRpcDispatcher.dispatch(XmlRpcDispatcher.java:123)
        at com.redhat.rhn.frontend.xmlrpc.RhnXmlRpcServer.execute(RhnXmlRpcServer.java:53)
        at com.redhat.rhn.frontend.xmlrpc.XmlRpcServlet.doPost(XmlRpcServlet.java:162)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
        at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:108)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:55)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
        at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
        at java.lang.Thread.run(Thread.java:735)
Mar 9, 2009 4:23:45 PM redstone.xmlrpc.XmlRpcDispatcher writeError
WARNING: redstone.xmlrpc.XmlRpcFault: unhandled internal exception: HibernateException executing CachedStatement
2009-03-09 16:23:45,231 [TP-Processor3] ERROR org.hibernate.event.def.AbstractFlushingEventListener - Could not synchronize database state with session
org.hibernate.StaleStateException: Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1
        at org.hibernate.jdbc.Expectations$BasicExpectation.checkBatched(Expectations.java:61)
        at org.hibernate.jdbc.Expectations$BasicExpectation.verifyOutcome(Expectations.java:46)
        at org.hibernate.jdbc.NonBatchingBatcher.addToBatch(NonBatchingBatcher.java:24)
        at org.hibernate.persister.entity.AbstractEntityPersister.delete(AbstractEntityPersister.java:2520)
        at org.hibernate.persister.entity.AbstractEntityPersister.delete(AbstractEntityPersister.java:2697)
        at org.hibernate.action.EntityDeleteAction.execute(EntityDeleteAction.java:74)
        at org.hibernate.engine.ActionQueue.execute(ActionQueue.java:250)
        at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:234)
        at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:146)
        at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:298)
        at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:27)
        at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1000)
        at org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:338)
        at org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:106)
        at com.redhat.rhn.common.hibernate.ConnectionManager.commitTransaction(ConnectionManager.java:201)
        at com.redhat.rhn.common.hibernate.HibernateFactory.commitTransaction(HibernateFactory.java:274)
        at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:56)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
        at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
        at java.lang.Thread.run(Thread.java:735)
2009-03-09 16:23:45,232 [TP-Processor3] ERROR com.redhat.rhn.frontend.servlets.SessionFilter - Error during transaction. Rolling back
org.hibernate.StaleStateException: Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1
        at org.hibernate.jdbc.Expectations$BasicExpectation.checkBatched(Expectations.java:61)
        at org.hibernate.jdbc.Expectations$BasicExpectation.verifyOutcome(Expectations.java:46)
        at org.hibernate.jdbc.NonBatchingBatcher.addToBatch(NonBatchingBatcher.java:24)
        at org.hibernate.persister.entity.AbstractEntityPersister.delete(AbstractEntityPersister.java:2520)
        at org.hibernate.persister.entity.AbstractEntityPersister.delete(AbstractEntityPersister.java:2697)
        at org.hibernate.action.EntityDeleteAction.execute(EntityDeleteAction.java:74)
        at org.hibernate.engine.ActionQueue.execute(ActionQueue.java:250)
        at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:234)
        at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:146)
        at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:298)
        at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:27)
        at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1000)
        at org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:338)
        at org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:106)
        at com.redhat.rhn.common.hibernate.ConnectionManager.commitTransaction(ConnectionManager.java:201)
        at com.redhat.rhn.common.hibernate.HibernateFactory.commitTransaction(HibernateFactory.java:274)
        at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:56)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
        at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
        at java.lang.Thread.run(Thread.java:735)
2009-03-09 16:23:45,238 [TP-Processor3] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[localhost].[/rhn].[XMLRPC] - Servlet.service() for servlet XMLRPC threw exception
com.redhat.rhn.common.hibernate.HibernateRuntimeException: Error during transaction. Rolling back
        at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(Sessi
Comment 1 Miroslav Suchý 2009-03-10 12:34:54 EDT
Looking at:
com.redhat.rhn.frontend.servlets.SessionFilter - Error during transaction.
Rolling back
org.hibernate.StaleStateException: Batch update returned unexpected row count
from update [0]; actual row count: 0; expected: 1

It seems that BZ 480126 is striking back. 
Partha can you look on it?
Comment 2 wes hayutin 2009-03-23 10:19:22 EDT
Created attachment 336294 [details]
ise
Comment 3 wes hayutin 2009-03-23 10:19:38 EDT
recreate above
Comment 4 Partha Aji 2009-03-24 20:13:24 EDT
Should be resolved in the next iso -> http://git.fedorahosted.org/git/spacewalk.git?p=spacewalk.git;a=commit;h=507657f5d8b7095e440bd5bbeec45924b56bdbda

Basically there was some connection issue between Hibernate Transactions and Write mode query.. This should now be resolved...
Comment 5 wes hayutin 2009-03-30 14:52:29 EDT
fyi.. recreated in Satellite-5.3.0-RHEL5-re20090327.0-i386-embedded-oracle.iso
Comment 6 Partha Aji 2009-03-31 16:05:52 EDT
Mass Move to ON_QA
Comment 7 Brad Buckingham 2009-04-01 14:49:44 EDT
*** Bug 487351 has been marked as a duplicate of this bug. ***
Comment 8 Tomas Lestach 2009-04-02 11:07:09 EDT
Could it be checked also on spacewalk-proxy? I have the same problem there - 

"ERROR: connection issues? <ProtocolError for <hostname> /rpc/api: 500 Internal Server Error>

Spacewalk uses spacewalk-java-0.5.44-1.el5.
Comment 9 wes hayutin 2009-04-17 15:28:02 EDT
verified 4/14 build
Comment 11 Brandon Perkins 2009-09-10 10:37:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1433.html
Comment 12 Marcus Moeller 2010-01-28 13:52:14 EST
Still valid in Satellite 5.3 if you try to reprovision a proxy without de-activating it on the 'old' installation before.

Otherwise you have to run configure-proxy.sh twice (on the 'new' machine), as on the second run it detects that it has already been activated, deactivates it and continues installation.

Best Regards
Marcus

Note You need to log in before you can comment on or make changes to this bug.